package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProUserOrgDAO;
import com.philisense.www.mapper.ProUserOrgMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProUserOrgDAOImpl implements ProUserOrgDAO {

        @Autowired
        private ProUserOrgMapper proUserOrgMapper;

        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserOrgMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserOrgMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserOrgMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserOrgMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserOrgMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserOrgMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserOrgMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserOrgMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserOrgMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserOrgMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserOrgMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserOrgMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserOrgMapper.updateBatch(list);
        }

    @Override
    public List<Map<String, Object>> getSelectedProOrgByUserId(Map<String, Object> map) {
        return proUserOrgMapper.getSelectedProOrgByUserId(map);
    }

    @Override
    public int getCountProUserByOrgId(Map<String, Object> map) {
        return proUserOrgMapper.getCountProUserByOrgId(map);
    }

    @Override
    public List<Map<String, Object>> getPageProUserByOrgId(Map<String, Object> map) {
        return proUserOrgMapper.getPageProUserByOrgId(map);
    }
}
